summaryrefslogtreecommitdiff
path: root/www-client/lynx
diff options
context:
space:
mode:
Diffstat (limited to 'www-client/lynx')
-rw-r--r--www-client/lynx/Manifest2
-rw-r--r--www-client/lynx/lynx-2.9.0_pre5.ebuild2
-rw-r--r--www-client/lynx/lynx-2.9.0_pre6-r1.ebuild105
-rw-r--r--www-client/lynx/lynx-2.9.0_pre6.ebuild (renamed from www-client/lynx/lynx-2.9.0_pre4.ebuild)18
-rw-r--r--www-client/lynx/metadata.xml5
5 files changed, 117 insertions, 15 deletions
diff --git a/www-client/lynx/Manifest b/www-client/lynx/Manifest
index 77a94602bea5..afc3e74c228c 100644
--- a/www-client/lynx/Manifest
+++ b/www-client/lynx/Manifest
@@ -1,3 +1,3 @@
DIST lynx2.8.9rel.1.tar.bz2 2689171 BLAKE2B 7cff536660e8fe77d40a56262c2f12e2093ffbb3e22a5ac8e7eab4410f0255e98df19e51f0c98d53aeb3ba63d0d1c2fcabe145242811bebcafb6e548a162a9fb SHA512 61edbe082684fcbd91bdbf4f4d27c3baf92358811aaffc2f8af46adf23ca7b48aede1520fc5f2a8fc974a2f4bbf4e57e7e6027a187bfc6101e56878c98178e6d
-DIST lynx2.9.0dev.4.tar.bz2 2723001 BLAKE2B aad4a5ad357d77b5f7e6d342178f0fe400d5494f5da8f394f05ff0363b5c09235ce17cba524a008aac821b23174f11528f6f4f8d504acd867449a4ebaa8fd039 SHA512 ea07de2d3d14bc5c79e308ba06436d7b9e37b6f316214821e539a454d0e2989327e2073757b951a7c82fb8db09d8867062a263fd684e1c49d89b8efa27fd611b
DIST lynx2.9.0dev.5.tar.bz2 2725365 BLAKE2B 0c8529c301796c66211120faeca204beac79b611efb367ab7861736f8d4bcd5e6f287c07d3ef8c56e7137f6b1ea9fbc0b6f31870d02ea62c4a32ffc1b921aacf SHA512 b5ce8afdab835cb65452c9bc016b861db84d8a971f1e5175118ad481708dfbe6cbd336b49602dd92a4db28ecb407ba472e839115b21ab36f5abf4a9057e1b159
+DIST lynx2.9.0dev.6.tar.bz2 2730690 BLAKE2B 2b176db49ac053e6c057b366b625883f0877f0bbf9bc2fbc0dfe6a13af48e0c9d5a64de52e794a4e771d7f6b160c74589a9275543f2657cb678bba149cdba38c SHA512 0c15e00a8e36e43671a093182c69593d50bc5c51a4acd92faa59416055bf4a1fd9ecde903a0209963f1f55d1fd85136e8448ca7867e198100ff749c53e1e1531
diff --git a/www-client/lynx/lynx-2.9.0_pre5.ebuild b/www-client/lynx/lynx-2.9.0_pre5.ebuild
index 0c9c22459e20..c82a90f70e34 100644
--- a/www-client/lynx/lynx-2.9.0_pre5.ebuild
+++ b/www-client/lynx/lynx-2.9.0_pre5.ebuild
@@ -21,7 +21,7 @@ SRC_URI="https://invisible-mirror.net/archives/lynx/tarballs/${MY_P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="bzip2 cjk gnutls idn ipv6 nls ssl unicode libressl"
RDEPEND="
diff --git a/www-client/lynx/lynx-2.9.0_pre6-r1.ebuild b/www-client/lynx/lynx-2.9.0_pre6-r1.ebuild
new file mode 100644
index 000000000000..cdd4dff446f2
--- /dev/null
+++ b/www-client/lynx/lynx-2.9.0_pre6-r1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+case ${PV} in
+ *_pre*) MY_P="${PN}${PV/_pre/dev.}" ;;
+ *_rc*) MY_P="${PN}${PV/_rc/pre.}" ;;
+ *_p*|*) MY_P="${PN}${PV/_p/rel.}" ;;
+esac
+
+DESCRIPTION="An excellent console-based web browser with ssl support"
+HOMEPAGE="https://lynx.invisible-island.net/"
+SRC_URI="https://invisible-mirror.net/archives/lynx/tarballs/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="bzip2 cjk gnutls idn ipv6 nls ssl unicode libressl"
+
+RDEPEND="
+ sys-libs/ncurses:0=[unicode?]
+ sys-libs/zlib
+ nls? ( virtual/libintl )
+ ssl? (
+ !gnutls? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:= )
+ )
+ gnutls? (
+ dev-libs/libgcrypt:0=
+ >=net-libs/gnutls-2.6.4:=
+ )
+ )
+ bzip2? ( app-arch/bzip2 )
+ idn? ( net-dns/libidn:0= )
+"
+
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )
+ virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.8.6-mint.patch
+ "${FILESDIR}"/${PN}-2.8.9_p1-parallel.patch
+)
+
+src_configure() {
+ local myconf=(
+ --enable-nested-tables
+ --enable-cgi-links
+ --enable-persistent-cookies
+ --enable-prettysrc
+ --enable-nsl-fork
+ --enable-file-upload
+ --enable-read-eta
+ --enable-color-style
+ --enable-scrollbar
+ --enable-included-msgs
+ --enable-externs
+ --with-zlib
+ $(use_enable nls)
+ $(use_enable idn idna)
+ $(use_enable ipv6)
+ $(use_enable cjk)
+ $(use_enable unicode japanese-utf8)
+ $(use_with bzip2 bzlib)
+ --with-screen=$(usex unicode ncursesw ncurses)
+ )
+ if use ssl; then
+ myconf+=(
+ --with-$(usex gnutls gnutls ssl)="${EPREFIX}/usr"
+ )
+ fi
+
+ econf "${myconf[@]}"
+
+ # Compared to openssl gnutls-openssl API does not use
+ # default trust store: bug #604526.
+ sed -e \
+ "s|#define SSL_CERT_FILE NULL|#define SSL_CERT_FILE \"${EPREFIX}/etc/ssl/certs/ca-certificates.crt\"|" \
+ -i userdefs.h || die
+}
+
+src_compile() {
+ # generating translation files in parallel is currently broken
+ use nls && emake -C po -j1
+ emake
+}
+
+src_install() {
+ emake install DESTDIR="${D}"
+
+ sed -i "s|^HELPFILE.*$|HELPFILE:file://localhost/usr/share/doc/${PF}/lynx_help/lynx_help_main.html|" \
+ "${ED}"/etc/lynx.cfg || die "lynx.cfg not found"
+ if use unicode ; then
+ sed -i '/^#CHARACTER_SET:/ c\CHARACTER_SET:utf-8' \
+ "${ED}"/etc/lynx.cfg || die "lynx.cfg not found"
+ fi
+
+ dodoc CHANGES COPYHEADER PROBLEMS README
+ dodoc -r docs lynx_help
+}
diff --git a/www-client/lynx/lynx-2.9.0_pre4.ebuild b/www-client/lynx/lynx-2.9.0_pre6.ebuild
index 0c9c22459e20..e78c85fc09b1 100644
--- a/www-client/lynx/lynx-2.9.0_pre4.ebuild
+++ b/www-client/lynx/lynx-2.9.0_pre6.ebuild
@@ -3,12 +3,6 @@
EAPI=7
-# VERSIONING SCHEME TRANSLATION
-# Upstream : Gentoo
-# rel. : _p
-# pre. : _rc
-# dev. : _pre
-
case ${PV} in
*_pre*) MY_P="${PN}${PV/_pre/dev.}" ;;
*_rc*) MY_P="${PN}${PV/_rc/pre.}" ;;
@@ -53,10 +47,6 @@ PATCHES=(
"${FILESDIR}"/${PN}-2.8.9_p1-parallel.patch
)
-pkg_setup() {
- ! use ssl && elog "SSL support disabled; you will not be able to access secure websites."
-}
-
src_configure() {
local myconf=(
--enable-nested-tables
@@ -77,9 +67,13 @@ src_configure() {
$(use_enable cjk)
$(use_enable unicode japanese-utf8)
$(use_with bzip2 bzlib)
- $(usex ssl "--with-$(usex gnutls gnutls ssl)=${EPREFIX}/usr" "")
- --with-screen=$(usex unicode "ncursesw" "ncurses")
+ --with-screen=$(usex unicode ncursesw ncurses)
)
+ if use ssl; then
+ myconf+=(
+ --with-$(usex gnutls gnutls ssl)="${EPREFIX}/usr"
+ )
+ fi
econf "${myconf[@]}"
}
diff --git a/www-client/lynx/metadata.xml b/www-client/lynx/metadata.xml
index d22774dc5012..28637e0d3172 100644
--- a/www-client/lynx/metadata.xml
+++ b/www-client/lynx/metadata.xml
@@ -1,7 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>slyfox@gentoo.org</email>
+ <name>Sergei Trofimovich</name>
+ </maintainer>
<use>
<flag name="ssl">Enable HTTPS support.</flag>
<flag name="gnutls">Use gnutls library for HTTPS support (openssl is the default library for HTTPS support).</flag>